math::TNodeIterator< T > Class Template Reference

`#include <nodes.h>`

## Public Member Functions

| TNodeIterator (TNode< T > *ANode)
| TNodeIterator (const TNodeIterator< T > &v)
TNode< T > & | operator* () const
TNode< T > * | operator-> () const
TNode< T > * | get () const
TNodeIterator< T > & | operator++ ()
TNodeIterator< T > & | operator-- ()

## Friends

class | TNode< T >

## Detailed Description

### template<typename T>
class math::TNodeIterator< T >

TNodeIterator<T> is the implementation of the node iteration class. This is used (as a typedef to TNode<T>::iterator and TNode<T>::const_iterator) to iterate through the node operations, such as plus, minus, and so on. Use these as you would do with the STL.

Definition at line 64 of file nodes.h.

The documentation for this class was generated from the following file:

- nodes.h